You are here

Fortran - GNU GCC, Intel, Portland Group (PGI) and Absoft compilers

Software Versions

Software Version System Usage Notes
Portland Group 8.0-6 Orcinus

(pgf77, pgf90, pgf95 - module load pgi)

Portl Parallel

Initialize your environment to use the Portland Group 14.6 compilers with

module load pgi/14.6

Intel 17.0.1 Bugaboo

module load intel/17.0.1

Intel 16.0.1 Bugaboo

module load intel/16.0.1
ifort

Intel 14.0.1 Bugaboo

module load intel/14.0.1
ifort

Intel 13.1.3 Bugaboo

ifort
(in default PATH)

Intel 13.0.1 Bugaboo

module load intel/13.0.1
ifort

Intel 12.1.5.339 Grex

module load  intel/12.1.5.339, loaded by default

Intel 12.1.2 Parallel

(ifort - module load intel-2011)

Intel 11.1

ifort - load appropriate module

Intel 11.0 Orcinus

(ifort - module load intel)

GNU 4.9 (20140406-beta) Parallel

To set up your environment to use the 4.9 (beta) version of the GCC compilers (gcc, g++, gfortran) use

module load gcc/gcc-4.9-20140406-beta

GNU 4.8.1 Grex

module load gcc/4.8.1-experimental ; note that GCC 4.8.1 is less stable than 4.7 and should be used with caution.

GNU 4.8.0 Bugaboo

gfortran
(in default PATH)

GNU 4.7.2 Grex

module load gcc/4.7.2-experimental

GNU 4.6.3 Grex

module load gcc/4.6.3-experimental

GNU 4.4.7 Bugaboo

module load gcc/4.4.7
gfortran

GNU 4.4.7 Grex

(gfortran, system version)

GNU 4.4.4 Bugaboo

gfortran, gfortran44

GNU 4.3.2

gfortran

GNU 4.1.2 (gfortran) Orcinus
GNU 3.4.6 Orcinus

(g77)

GNU 3.4.6 Orcinus

(g77)

f90 Bugaboo

Wrapper script for $FC, $F90,defaulting to ifort

f77 Bugaboo

Wrapper script for $FC, $F77, defaulting to ifort